# backup-rsnapshot helperfunctions
#
# Jörg Richter
#
# version 1.4
# 20. 8. 2013
# 


# exit with error
error() {
        echo "$1 -- Exiting!"
        exit 1
} # error

# check the backupdevice
getbackupdevice() {

  # NFS
  if [ -n "$(echo $backupdevice | grep ":")" ]; then
    return 0
  fi 

  if [ -e "$backupdevice" ]; then
    return 0
  fi


  for d in $backupdevicelist; do
    if [ -e "$d" ]; then
      backupdevice="$d"
      return 0
    fi
  done

  return 1
} # getbackupdevice

# check if backupdevice is mounted
isbackupmounted() {
  if [ "$use_truecrypt" = "yes" ]; then
    SHOWMOUNT="truecrypt -t -l"
  else
    SHOWMOUNT="mount"
  fi

  mounted=1

  if $SHOWMOUNT 2>/dev/null | grep "$backupdevice" | grep -q "$mountpoint"; then
    mounted=0
  fi

  return $mounted # Return code 0 = success
} # isbackupmounted


# reverse the order of the words in a string
reversewords() {
  REV=""
  
  until [ -z "$1" ]
  do
    REV="$1 $REV"
    shift
  done

  echo $REV
} #reversewords

